@extends('app.my-account.layout-lite')
@section('page')
    <div class="px-3">
        <div class="d-flex align-items-baseline border-bottom px-3 py-2 mb-2 m-neg-3 bg-light">
            <h2 class="font-size-16 text-secondary fw-bold m-0 me-3">Users</h2>
            {{--@include('app.my-account.admin.users.forms.create')--}}
        </div>
        @include('app.my-account.admin.users.filters')
        @include('app.my-account.admin.users.partials.table', ['rows' => $users])
        <div class="mt-3">
            {{ $users->appends(request()->input())->links() }}
        </div>
    </div>
    <script>
        function generateFullName(_elem) {
            let form = $(_elem).closest('form');
            form.find('[name="fullName"]').val(
                $.trim(form.find('[name="nameFirst"]').val()) + ' ' +
                $.trim(form.find('[name="nameLast"]').val())
            );
        }
    </script>
@endsection